package com.sooka.system.mapper;

import java.util.List;

import com.sooka.common.annotation.DataSource;
import com.sooka.common.enums.DataSourceType;
import com.sooka.system.domain.TgjjDkxx;

/**
 * 个人贷款信息Mapper接口
 *
 * @author lei
 * @date 2021-11-16
 */
@DataSource(value = DataSourceType.SLAVE)
public interface TgjjDkxxMapper
{
    /**
     * 查询个人贷款信息
     *
     * @param ID 个人贷款信息ID
     * @return 个人贷款信息
     */
    public TgjjDkxx selectTgjjDkxxById(Long ID);

    /**
     * 查询个人贷款信息列表
     *
     * @param tgjjDkxx 个人贷款信息
     * @return 个人贷款信息集合
     */
    public List<TgjjDkxx> selectTgjjDkxxList(TgjjDkxx tgjjDkxx);

    /**
     * 新增个人贷款信息
     *
     * @param tgjjDkxx 个人贷款信息
     * @return 结果
     */
    public int insertTgjjDkxx(TgjjDkxx tgjjDkxx);

    /**
     * 修改个人贷款信息
     *
     * @param tgjjDkxx 个人贷款信息
     * @return 结果
     */
    public int updateTgjjDkxx(TgjjDkxx tgjjDkxx);

    /**
     * 删除个人贷款信息
     *
     * @param ID 个人贷款信息ID
     * @return 结果
     */
    public int deleteTgjjDkxxById(Long ID);

    /**
     * 批量删除个人贷款信息
     *
     * @param IDs 需要删除的数据ID
     * @return 结果
     */
    public int deleteTgjjDkxxByIds(String[] IDs);
}
